
import java.io.*;
//import java.io.File;

class MarkovAdder
{

	String [] fileNames;
	MarkovMatrix mm;
	String dir;

	MarkovAdder(String dirName, MarkovMatrix mm_)
	{
		mm=mm_;
		File file = new File(dirName);
		fileNames= file.list();
		dir = dirName ;
	}

	void addText()
	{
		for(int i=0;i<fileNames.length;i++)
			fileToMatrix(fileNames[i]);

	}

	private void fileToMatrix(String fileName)
	{
		BufferedReader br =null;
		System.out.println("Will read from: " +fileName);
		try{
			br=	new BufferedReader(
				new InputStreamReader(
					new FileInputStream(dir + "\\"+fileName)));

			char a,a1,a2;
			int eof=0;
			a2 =  (char)br.read();
			a1 =  (char)br.read();
			a =  (char)br.read();

			while(eof != -1)
			{
				//write to matrix
				mm.addOne(a2,a1,a);
				a2 = a1 ;
				a1 = a ;
				eof = br.read();
				a =  (char)eof;
			}//while
		}catch(IOException e){
			System.err.println("while working on file " + fileName + ": "+ e);
			System.exit(1);
		}

	}
}